Subject: Re: linux-next: manual merge of the acpi tree

From: Len Brown <[email-masked]>
Date: Sun, 30 Nov 2008 21:55:38 -0500 (EST)

On Mon, 1 Dec 2008, Stephen Rothwell wrote:

> Hi Len,
> 
> Today's linux-next merge of the acpi tree got a conflict in
> drivers/acpi/blacklist.c between commit
> a6e0887f21bbab337ee32d9c0a84d7c0b6e9141b ("ACPI: delete OSI(Linux) DMI
> dmesg spam") from Linus' tree and commit
> 865596071bb89ec67a44b0ef2da172e0e733ce16 ("ACPI: delete OSI(Linux) DMI
> dmesg spam") from the acpi tree.
> 
> The former had a slightly later commit time, so I used that.  Please fix
> up the conflict in the acpi tree.

Hi Stephen,
Like linux-next, pulling the acpi tree into old copies of itself
doesn't work.

This is because I occasionally have to revise various patches and generate
"clean history" for the upstream pull into Linus' tree.
Also, I occasionally re-base branches within the tree up to
newer baselines so that they are easier to test vs upstream.

So if you pull the acpi tree into a copy of Linus' tree
then this type of conflict will go away.

thanks,
-Len